<?php

    
/*
* $Id: zipur_core_compare_tool.php
* $Loc: /admin/includes/languages/english/
*
* Name: ZipurCoreCompareTool
* Version: 0.6.0
* Release Date: 10/31/2022
* Author: Preston Lord
* 	 phoenixaddons.com / @zipurman / plord@inetx.ca
*
* License: Released under the GNU General Public License
*
* Comments: Copyright (c) 2020: Preston Lord - @zipurman - Intricate Networks Inc.
* 
* 
*   Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
* 
*   1. Re-distributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* 
*   2. Re-distributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* 
*   3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
* 
*   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
* (Packaged with Zipur Bundler v0.2.3)
*/



    const HEADING_TITLE                                 = 'Zipur Core Compare';
    const TABLE_HEADING_VERSION                         = 'Version';
    const ZIPUR_CODE_COMPARE_DIRECTORY_CREATE_ERROR     = 'Error creating directory.';
    const ZIPUR_CODE_COMPARE_DELETE                     = 'delete';
    const ZIPUR_CODE_COMPARE_CONTINUE                   = 'continue';
    const ZIPUR_CODE_COMPARE_DESCRIPTION                = 'This tool will show you the files that have been added, changed, or removed based on your version of CE Phoenix. No files will be changed by this report.';
    const ZIPUR_CODE_COMPARE_FILE_ADDED                 = 'Added';
    const ZIPUR_CODE_COMPARE_FILE_ALTERED               = 'Altered';
    const ZIPUR_CODE_COMPARE_FILE_REMOVED               = 'Removed';
    const ZIPUR_CODE_COMPARE_FILE_REPLACED              = 'REPLACED';
    const ZIPUR_CODE_COMPARE_FILE_VERSIONS              = 'Downloaded Clean Core Versions';
    const ZIPUR_CODE_COMPARE_FILE_VERSION_DELETED       = 'Downloaded Clean Core Version Deleted';
    const ZIPUR_CODE_COMPARE_YES                        = 'YES';
    const ZIPUR_CODE_COMPARE_NO                         = 'NO';
    const ZIPUR_CODE_COMPARE_DOWNLOAD_ERROR             = 'DOWNLOAD ERROR';
    const ZIPUR_CODE_COMPARE_DOWNLOAD_SUCCESS           = 'DOWNLOAD SUCCESS';
    const ZIPUR_CODE_COMPARE_UNZIP_SUCCESS              = 'UNZIP SUCCESS';
    const ZIPUR_CODE_COMPARE_UNZIP_FAILED               = 'UNZIP FAILED';
    const ZIPUR_CODE_COMPARE_VERSION_FOLDER_ERROR       = 'You need to download a copy of the original files for your version of CE Phoenix. This will download to a different directory (admin/clean_core/CE-Phoenix-xx.xx.xx/) and will be used to compare your files to for changes. Proceed?';
    const ZIPUR_CODE_COMPARE_VERSION                    = 'Version';
    const ZIPUR_CODE_COMPARE_SETTINGS                   = 'Settings';
    const ZIPUR_CODE_COMPARE_BACK                       = 'Back';
    const ZIPUR_CODE_COMPARE_EXCLUDE                    = 'Exclude Folder(s)';
    const ZIPUR_CODE_COMPARE_SAVE_CHANGES               = 'Save Changes';
    const ZIPUR_CODE_COMPARE_BUTTON_UNINSTALL           = 'Un-Install';
    const ZIPUR_CODE_COMPARE_BUTTON_UNINSTALL_CONFIRMED = 'Un-Install is now completed.';
    const ZIPUR_CODE_COMPARE_BUTTON_UNINSTALL_NOW       = 'Un-Install NOW';
    const ZIPUR_CODE_COMPARE_BUTTON_DASHBOARD           = 'Return to Dashboard';
    const ZIPUR_CODE_COMPARE_UNINSTALL_WARNING          = 'Un-Install will remove config files from your database as well as the comparable cores that have been downloaded to your admin. No other data will be adjusted.';


